新手学习Qt究竟要安装哪个环境?

Weller 发布于 2013/01/11 14:59
阅读 7K+
收藏 0

我在QT的官网上下载,官网发来的邮件上面有下载地址。

Qt 4.8.4 for Windows (Src and VS2008 32bit Binary)
Qt Visual Studio Addin 1.1.11 for Qt4 (Binary)
Qt 4.8.4 for Windows (Src and VS2010 32bit Binary)
Qt 4.8.4 for Windows (Src and MinGW 32bit Binary)
Qt Creator 2.6.1 for Windows (32bit Binary)
Qt 4.8.4 for Windows (Src and VS2010 64bit Binary)
Qt Commercial Charts 1.1.0
Qt 4.8 SDK for Windows
Qt 5.0.0 Sources
Qt 5.0.0 Offline SDK for Windows (32-bit Binary)
Qt Visual Studio Addin 1.2.0 for Qt5 (Binary)

好多版本,英语不好,不知道下载安装装哪一个,试了好几个,要么就是提示要联系他们要收费,要么就是说:“错误:Qt Creator 需要设置一个编译器来构建。在构建套件选项里设置一个编译器。”一大堆问题,纠结了好长时间,希望有大神帮忙!!

加载中
0
Q
Qting
你好 我也遇到了 “错误:Qt Creator 需要设置一个编译器来构建。在构建套件选项里设置一个编译器。” 的问题。 请问你是怎么解决的?谢谢。我用的是 Qt 5.0 版本的!
0
吥楛糖
吥楛糖
目前项目用的是QtSdk-offline-win-x86-v1_2_1.exe这个版本。你可以试试,是4.8.1的
Weller
Weller
百度到了一份资料,问题已经解决了,还是要谢谢你。。。
0
Weller
Weller
安装了其他版本
0
k
kangear

引用来自“Qting”的答案

你好 我也遇到了 “错误:Qt Creator 需要设置一个编译器来构建。在构建套件选项里设置一个编译器。” 的问题。 请问你是怎么解决的?谢谢。我用的是 Qt 5.0 版本的!
0
eriklee1895
eriklee1895

你这个email里给的链接是商业版的,只能用30天,咱应该下opensource版的,这个链接在qt主页右下角,很不起眼,直接告诉你:http://qt-project.org/downloads,到这里下载,如果windows平台需要这两个:

Qt libraries 4.8.4 for Windows (minGW 4.4, 317 MB)

Qt Creator 2.6.2 for Windows (51 MB)

安装方法在百度搜“qt安装配置”,有很多的

返回顶部
顶部